function x_idx = get_global_param_idx(f_type)
f_type = deblank(f_type);

% load a good starting point
if (strcmp(f_type,'ro'))
        x_idx = [20,25,26,27];%%%% only 20 to other cohorts
elseif (strcmp(f_type,'alpha'))
        x_idx = [1:7,48,49,50];
elseif (strcmp(f_type,'beta'))
        x_idx = [12:14,19,48,50];
elseif (strcmp(f_type,'child'))
        x_idx = [33:39];
elseif (strcmp(f_type,'marriage'))
        x_idx = [28,29,30,31,41,42,43,44];
elseif (strcmp(f_type,'school'))
        x_idx = [1];
elseif (strcmp(f_type,'all'))
        x_idx = [1:50];
else
        error(sprintf('unsupported type %s', f_type));
end

