function [husband, actual_moments, epsilon_b, epsilon_f, v_b, v_f, unidraw] = estimation_init(T, numdraws, OBS, yyyy, idx)

disp(sprintf('\n loading files: husbands_%d_%d.out and moments_%d_%d.out', yyyy, idx, yyyy, idx));

husband = load(sprintf('husbands_%d_%d.out', yyyy, idx));
actual_moments = load(sprintf('moments_%d_%d.out', yyyy, idx));
actual_moments(:,14)=actual_moments(:,14).*2000;

% random shocks' mean and variance
myu = [0];
sig = 1;

% random draw from normal distribution, for EMAX calculation
epsilon_b=zeros(numdraws,T);
v_b=zeros(numdraws,T);
%epsilon_f=zeros(T,OBS);
%v_f=zeros(T,OBS);
for d = 1 : numdraws
	for t = 1 : T
		epsilon_b(d,t) = mvnrnd(myu, sig);
		v_b(d,t)= mvnrnd(myu, sig);
	end
end

% random draw from normal distribution, for shocks realizations in forward solution
for t = 1 : T
	for i = 1 : OBS
        	epsilon_f(t,i)= mvnrnd(myu, sig);
			v_f(t,i)= mvnrnd(myu, sig);
    end
end
% random draw from uniform distribution, for offer probabilities in forward solution
unidraw = rand(OBS,T,7); %1-job offer, 2- marrige offer, 3-husband schooling, 4-husband experience, 5-husband working, 6-new child, 7-divorce

